package gemini

import (
	"gophi/core"
	"mime"
	"path"
)

const gemMimeType = "text/gemini"

type lineType uint8

func getFileStatusMeta(p *core.Path) string {
	// if this is a gem, return this
	if isGem(p) {
		return gemMimeType
	}

	// Get the file extension
	ext := path.Ext(p.Relative())

	// Calculate mime type for extension
	return mime.TypeByExtension(ext)
}

func buildResponseHeader(statusCode, statusMeta string) []byte {
	return []byte(statusCode + " " + statusMeta + "\r\n")
}
